Get a card's recurrence rule
GET
/boards/{board}/cards/{card}/recurrence
const url = 'https://projects.work.optidata.cloud/api/boards/1/cards/1/recurrence';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://projects.work.optidata.cloud/api/boards/1/cards/1/recurrence \ --header 'Authorization: Bearer <token>'Returns the card’s active recurrence rule, or null when the card does not repeat.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
card
required
integer
Card id (must belong to the board).
Responses
Section titled “ Responses ”The recurrence (or null).
Media typeapplication/json
object
recurrence
One of:
Repeat rule for a card.
object
id
integer
original_card_id
integer
target_column_id
integer
frequency
string
interval
integer | null
by_day
Array<string> | null
by_month_day
Array<integer> | null
by_month
Array<integer> | null
by_set_pos
Array<integer> | null
last_occurrence_at
string | null format: date-time
next_occurrence_at
string | null format: date-time
created_at
string format: date-time
updated_at
string format: date-time
deleted_at
string | null format: date-time
null
Example
{ "recurrence": null}Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}